version 8.2R1.7;
system {
    host-name gateway1;
    domain-name ent2.com;
    domain-search ent2.com;
    time-zone Europe/Paris;
    root-authentication {
        encrypted-password "$1$wn7d2FVT$GfXKfK5Cfr3OumGJWm6j.1";
    }
    name-server {
        10.40.2.31;
        2001:db8:4:441::31;
    }
    login {
        user telnet {
            full-name "root via telnet";
            uid 100;
            class super-user;
            authentication {
                encrypted-password "$1$0xekmMef$PccF3OiUuLNHOzA94TxNB0";
            }
        }
    }
    services {
        ssh;
        telnet;
        web-management {
            http {
                interface fe-0/0/1.0;
            }
        }
    }
    syslog {
        user * {
            any emergency;
        }
        file messages {
            any any;
            authorization info;
        }
        file interactive-commands {
            interactive-commands any;
        }
    }
}
interfaces {
    fe-0/0/0 {
        vlan-tagging;
        unit 0 {
            vlan-id 442;
            family inet {
                address 10.40.30.1/30;
            }
            family inet6 {
                address 2001:db8:4:442::1/64;
            }
        }
    }
    fe-0/0/1 {
        vlan-tagging;
        unit 0 {
            vlan-id 444;
            family inet {
                address 10.40.254.2/29;
            }
            family inet6 {
                address 2001:db8:4:444::2/64;
            }
        }
    }
    lo0 {
        unit 0 {
            family inet {
                address 127.0.0.1/32;
            }
            family inet6 {
                address ::1/128;
            }
        }
    }
}
snmp {
    community public {
        authorization read-only;
    }
}
routing-options {
    rib inet6.0 {
        static {
            defaults {
                metric 10;
                preference 10;
            }
            route ::/0 {
                next-hop 2001:db8:4:442::2;
                retain;
                readvertise;
            }
            route 2001:db8:4:445::/64 {
                next-hop 2001:db8:4:444::1;
                retain;
                readvertise;
            }
            route 2001:db8:4:441::/64 {
                next-hop 2001:db8:4:442::2;
                retain;
                readvertise;
            }
        }
    }
    static {
        route 10.40.1.0/24 next-hop 10.40.254.1;
        route 0.0.0.0/0 next-hop 10.40.30.2;
    }
    router-id 10.40.254.2;
    autonomous-system 65004;
}
protocols {
    bgp {
        group AS3-IPv6 {
            type external;
            export lan;
            peer-as 65003;
            neighbor 2001:db8:3:340::5 {
                multihop;
            }
        }
    }
    ospf {
        export lan;
        area 0.0.0.0 {
            interface fe-0/0/0.0;
        }
    }
}
policy-options {
    policy-statement lan {
        term 0 {
            from {
                protocol static;
                route-filter ::/0 exact;
            }
            then reject;
        }
        term 1 {
            from protocol static;
            then accept;
        }
    }
}

